<dx-tree-list class="gridContainer box-shadow" #wasteType [columnAutoWidth]='true' [allowColumnResizing]='true'
    [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled'
    [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines' [height]='ui.fullHeight'
    [dataSource]='dsWasteType' (onToolbarPreparing)='toolbarPreparing($event)' 
    keyExpr='id' parentIdExpr='parentId' rootValue='00000000-0000-0000-0000-000000000000'>

    <dxo-export [enabled]='true' [enabled]='true' fileName='wastetypes'></dxo-export>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
    <dxo-search-panel [visible]='true'></dxo-search-panel>

    <dxi-column caption='Cod' dataField='code' dataType='string' [minWidth]='150' [allowHeaderFiltering]='false'>
        <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-column>

    <dxi-column caption='Periculozitate' dataField='hazard' dataType='number' [width]='150'>
        <dxo-lookup [dataSource]='ds.hazard' valueExpr='id' displayExpr='value' [allowClearing]='true'></dxo-lookup>
    </dxi-column>
    <dxi-column caption='Stare fizică' dataField='physicalCondition' dataType='string' [width]='120'>
        <dxo-lookup [dataSource]='ds.physicalCondition' valueExpr='id' displayExpr='value' [allowClearing]='true'></dxo-lookup>
        <!-- <dxi-validation-rule type="required"></dxi-validation-rule> -->
    </dxi-column>
    <dxi-column caption='Unitate de măsură' dataField='uom' dataType='number' [width]='140'>
        <dxo-lookup [dataSource]='ds.uom' valueExpr='id' displayExpr='value' [allowClearing]='true'></dxo-lookup>
    </dxi-column>

    <dxi-column caption='Denumire' dataField='name' dataType='string' [allowHeaderFiltering]='false'>
        <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-column>
    <dxi-column type="buttons" fixedPosition='left' width='110' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false' [visible]='ds.isSuperAdmin'>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditWastetypeClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteWastetypeClick"></dxi-button>
    </dxi-column>
</dx-tree-list>

<dx-popup [(visible)]='isWasteTypeVisible' [minWidth]='ui.minWidthPopup' width='auto' maxWidth='90vw'
    (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)' height='auto' [title]='popupTitle'>
    <div *dxTemplate="let data of 'content'">
        <dx-scroll-view [height]='ui.scrollHeight' width="auto" direction="both">
            <app-edit-wastetype [wastetypeData]='WTobj'> </app-edit-wastetype>
        </dx-scroll-view>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton"
        [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: onSaveWasteType, validationGroup:'wtValidation' }">
    </dxi-toolbar-item>
</dx-popup>

<dx-popup [(visible)]='isWorkcenterVisible' [minWidth]='ui.minWidthPopup' width='auto' maxWidth='90vw'
    (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)' height='auto' [title]='popupTitle'>
    <div *dxTemplate="let data of 'content'">
        <dx-scroll-view [height]='ui.scrollHeight' width="auto" direction="both">
            <app-edit-wtdetail [wtDetailData]='currentWc'></app-edit-wtdetail>
        </dx-scroll-view>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: onSaveWorkcenter, validationGroup:'wkValidation' }">
    </dxi-toolbar-item>
</dx-popup>